std::negate< _Tp > Struct Template Reference
Arithmetic Classes
Inheritance diagram for std::negate< _Tp >:
[legend]

## Public Types

typedef _Tp | argument_type
typedef _Tp | result_type

## Public Member Functions

_Tp | operator() (const _Tp &__x) const

## Detailed Description

### template<typename _Tp>
struct std::negate< _Tp >

One of the math functors.

Definition at line 212 of file stl_function.h.

## Member Typedef Documentation

typedef _Tp std::unary_function< _Tp , _Tp >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 108 of file stl_function.h.

typedef _Tp std::unary_function< _Tp , _Tp >::result_type

inherited

`result_type` is the return type

Definition at line 111 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h